curl "https://api.aioka.io/v1/verdict/history?page=1&per_page=24" \
-H "X-API-Key: aik_basic_your_key_here"
{
"verdicts": [
{
"ruling": "ACCUMULATE",
"confidence": 0.782,
"score": 0.438,
"btc_price": 67124.0,
"timestamp": "2026-04-03T10:22:00Z"
}
],
"total": 48,
"page": 1,
"per_page": 24,
"from_time": "2026-04-03T09:00:00Z",
"to_time": "2026-04-03T10:22:00Z",
"cached": false,
"cache_ttl_seconds": 120
}
{
"detail": {
"error": "tier_required",
"message": "This endpoint requires Basic tier or higher.",
"current_tier": "free",
"required_tier": "basic",
"upgrade_url": "https://aioka.io/pricing"
}
}
Basic Tier ($49/mo)
Verdict History
Paginated verdict history for the last 24 hours
GET
/
v1
/
verdict
/
history
curl "https://api.aioka.io/v1/verdict/history?page=1&per_page=24" \
-H "X-API-Key: aik_basic_your_key_here"
{
"verdicts": [
{
"ruling": "ACCUMULATE",
"confidence": 0.782,
"score": 0.438,
"btc_price": 67124.0,
"timestamp": "2026-04-03T10:22:00Z"
}
],
"total": 48,
"page": 1,
"per_page": 24,
"from_time": "2026-04-03T09:00:00Z",
"to_time": "2026-04-03T10:22:00Z",
"cached": false,
"cache_ttl_seconds": 120
}
{
"detail": {
"error": "tier_required",
"message": "This endpoint requires Basic tier or higher.",
"current_tier": "free",
"required_tier": "basic",
"upgrade_url": "https://aioka.io/pricing"
}
}
To use the playground, enter your API key in the X-API-Key field above.
Requires BASIC tier key ($49/mo). Contact info@aioka.io to upgrade.
curl "https://api.aioka.io/v1/verdict/history?page=1&per_page=24" \
-H "X-API-Key: aik_basic_your_key_here"
{
"verdicts": [
{
"ruling": "ACCUMULATE",
"confidence": 0.782,
"score": 0.438,
"btc_price": 67124.0,
"timestamp": "2026-04-03T10:22:00Z"
}
],
"total": 48,
"page": 1,
"per_page": 24,
"from_time": "2026-04-03T09:00:00Z",
"to_time": "2026-04-03T10:22:00Z",
"cached": false,
"cache_ttl_seconds": 120
}
{
"detail": {
"error": "tier_required",
"message": "This endpoint requires Basic tier or higher.",
"current_tier": "free",
"required_tier": "basic",
"upgrade_url": "https://aioka.io/pricing"
}
}
Authorizations
Your AIOKA Intelligence API key (format: aik_{tier}_{random})